ALTER TABLE `users_ip` ADD COLUMN `mac` CHAR(17) DEFAULT 'ff:ff:ff:ff:ff:ff' NOT NULL;
ALTER TABLE `users_ip` ADD COLUMN `traffic` bigint(20) DEFAULT '0' NOT NULL;
ALTER TABLE `users_ip` ADD COLUMN `flag` enum('limit','no','block','firewall','day','month') DEFAULT 'limit' NOT NULL;
ALTER TABLE `users_ip` ADD COLUMN `traffic_day` int(12) DEFAULT '0' NOT NULL;
ALTER TABLE `users_ip` ADD KEY uid(uid);
ALTER TABLE `users_ip` ADD KEY ip(ip);

CREATE TABLE tariffs (
  tariffid int(10) NOT NULL auto_increment,
  text varchar(100) NOT NULL default '',
  price float(5,3) unsigned default '0.000',
  PRIMARY KEY  (tariffid)
) TYPE=MyISAM;

CREATE TABLE payments (
  payid int(10) unsigned NOT NULL auto_increment,
  ipid int(10) NOT NULL default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  paid enum('0','1') NOT NULL default '0',
  price float(8,3) NOT NULL default '0.000',
  traffic bigint(20) NOT NULL default '0',
  PRIMARY KEY  (payid),
  KEY ipid (ipid),
  KEY date (date)
) TYPE=MyISAM;
