#!/usr/bin/perl

use strict;
use DBI();

my $dbhost		= 'localhost';
my $netacct_dbname	= 'netacct';
my $netacct_user	= 'netacct';
my $netacct_pass	= 'bojko123';
my $iptables		= '/sbin/iptables';
my $query;

my @in = `iptables -t mangle -L acct_in -n -v | fgrep RETURN | awk '{ print $8,$12 }'`
my @out = `iptables -t mangle -L acct_out -n -v | fgrep RETURN | awk '{ print $9,$12 }'`

executeChain( "$iptables -t mangle -F acct_in" );
executeChain( "$iptables -t mangle -F acct_out" );

my $dbh = DBI->connect("DBI:mysql:host=$dbhost;database=$netacct_dbname", $netacct_user, $netacct_pass,{'RaiseError' => 1})
	or die( 'DBI->connect()' );

$query = "SELECT DISTINCT(`ip`) FROM `users_ip` LEFT JOIN `users` ON `users`.`uid` = `users_ip`.`uid` ".
	"WHERE `users`.`uid` IS NOT NULL ORDER BY `ip`";
my $sth = $dbh->prepare( $query ) or die( '$dbh->prepare()' );
$sth->execute() or die( '$sth->execute()' );

executeChain( "$iptables -t mangle -F acct_in" );
executeChain( "$iptables -t mangle -F acct_out" );

my( $ip );
while( ( $ip ) = $sth->fetchrow_array )
{
	executeChain( "$iptables -t mangle -I acct_in -s $ip -m mark --mark 0 -j RETURN" );
	executeChain( "$iptables -t mangle -I acct_in -s $ip -m mark --mark 1 -j RETURN" );
	executeChain( "$iptables -t mangle -I acct_in -s $ip -m mark --mark 2 -j RETURN" );
	executeChain( "$iptables -t mangle -I acct_out -d $ip -m mark --mark 0 -j RETURN" );
	executeChain( "$iptables -t mangle -I acct_out -d $ip -m mark --mark 1 -j RETURN" );
	executeChain( "$iptables -t mangle -I acct_out -d $ip -m mark --mark 2 -j RETURN" );
}

sub executeChain
{
    my( $chain ) = shift( @_ );
#    print "$chain\n";
    system( $chain );
}

$dbh->disconnect() or die( '$dbh->disconnect()' );
exit;

