<?
// netstat - 3.0
// (c) 2002 BASHbug <bashbug@users.sourceforge.net>
//
// Web interface for netacct-mysql >= 0.74 running in
// compactnet logging
//

include( 'config.php' );

ob_start();
$start_time = microtime();

if( get_magic_quotes_gpc() )
{
	// Overrides GPC variables
	foreach( $_GET as $k => $v )
		$$k = stripslashes( $v );
	foreach( $_POST as $k => $v )
		$$k = stripslashes( $v );
	foreach( $_COOKIE as $k => $v )
		$$k = stripslashes( $v );
}

$REMOTE_ADDR = $_SERVER['REMOTE_ADDR'];

if(isset($hide))
{
	$hd=unserialize($hidden);
	$hd[$hide]=1;
	$tmp=serialize($hd);
	setcookie("hidden",$tmp); $hidden=$tmp;
}
if(isset($unhide))
{
	$hd=unserialize($hidden);
	unset($hd[$unhide]);
	$tmp=serialize($hd);
	setcookie("hidden",$tmp); $hidden=$tmp;
}
if(isset($login))
{
	setcookie("lg",$login); $lg=$login;
}

if(isset($password))
{
        setcookie("pass",$password); $pass=$password;
}

if($action=='logout')
{
	setcookie("lg","");
	setcookie("pass","");
	header ("Location: ?");
}

if(isset($metric))
{

	setcookie("mtr",$metric);
        $mtr=$metric;
}	
switch( $mtr )
{
	case 'k':
		$coef = 1024;
        	break;
	case 'm':
        	$coef = 1048576;
        	break;
        case 'b':
	default:
                $coef = 1;
                break;
}

function LocalisedDate($timestamp)
{
        global $datefmt, $month;
		$stamp=strtotime($timestamp);
        $date = ereg_replace('%[bB]', $month[(int)strftime('%m', $stamp)-1], $datefmt);
		$ret = strftime($date, $stamp);
        return $ret;
} 
 
function microtime_diff( $a, $b )
{
	list( $a_dec, $a_sec ) = explode( ' ', $a );
	list( $b_dec, $b_sec ) = explode( ' ', $b );
	return( ( $b_sec - $a_sec ) + ( $b_dec - $a_dec ) );
}

function set_header()
{
	global $charset, $font_family, $page_bgcolor;
?>
<html>
<head>
<title>~ NetStat ~ </title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>">
<meta name="Author" content="Boril Yonchev">
<style type="text/css">
<!--
body
{ font-family: <?=$font_family?>; font-size: 8pt; background-color: <?=$page_bgcolor?>; }
th
{ font-family: <?=$font_family?>; font-size: 8pt; font-weight: bold; background-color: #d3dce3; }
td
{ font-family: <?=$font_family?>; font-size: 8pt; }
form
{ font-family: <?=$font_family?>; font-size: 8pt; }
h1
{ font-family: <?=$font_family?>; font-size: 16pt; font-weight: bold; }
a:link
{ font-family: <?=$font_family?>; font-size: 8pt; text-decoration: none; font-weight: bold; color: blue;}
a:visited
{ font-family: <?=$font_family?>; font-size: 8pt; text-decoration: none; font-weight: bold; color: blue;}
a:hover
{ font-family: <?=$font_family?>; font-size: 8pt; text-decoration: underline; font-weight: bold; color: red;}
.search
{ font-family: <?=$font_family?>; font-size: 10px; background-color: <?=$page_bgcolor?>; border:1px #666666 solid; color: black; margin: 0px; }
.button
{ font-family: <?=$font_family?>; font-size: 8pt; color: black;	background-color: #CCCCCC; border-color : #008080 #929595 #929595 #008080; cursor: pointer; padding-bottom : 0px; padding-top : 0px; }
.small
{ font-family: <?=$font_family?>; font-size: 7pt; color: black; }
.tdColor
{ color: #ff0000; background-color: #dddddd; }
//-->
</style>
</head>

<body>
<?
}

function finish ()
{
	global $strTranslatedBy, $strTranslatorName,
		$strTranslatorEmail, $start_time;
 
	$duration = microtime_diff($start_time, microtime());
	$duration = sprintf( '%0.3f', $duration );
?>
<p>&nbsp;</p>
<table width="100%" cellpadding="0" cellspasing="0" bgcolor="#dddddd">
<tr bgcolor="#000000"><td colspan="3">&nbsp;</td></tr>
<tr align="left">
	<td class="small">
		<a href="http://netacct-mysql.sourceforge.net" target="_blank">
			NetStat Version 3.04
		</a>
	</td>
	<td align="center" class="small">
		Page generation time: <?=$duration?> seconds
	</td>
	<td align="right" class="small">
		<a href="http://sourceforge.net/project/memberlist.php?group_id=23298" target="_blank">NetStat Team</a> (c) 2002-2003.</a>
	</td>
</tr>
<tr bgcolor="#000000"><td colspan="3">&nbsp;</td></tr>
</table>
<?
	if( isset( $strTranslatorName ) )
		printf( '<center><small>%s</small><a href="mailto:%s"><small>%s</small></center>', $strTranslatedBy, $strTranslatorEmail, $strTranslatorName );
?>
</body>
</html>
<?
	ob_end_flush();
	exit;
}

if( empty( $lg ) || empty( $pass ) )
{
	include( $LANG_DIR.'/'.$languages[$DEFAULT_LANG][1] );
 	set_header();
 	
echo"<p>&nbsp;</p>\n";
echo"<center><h3>".$strUsersInformation."</h3></center>\n";
echo"<center>$strEnterLogin</center>\n";

echo"<form method=\"post\">\n";
echo"<center><table BORDER=\"0\" bgcolor=\"black\" cellpadding=0 cellspacing=1>\n";
echo"<tr><td><table BORDER=\"0\" bgcolor=\"#c8c8c8\">\n";
echo"<tr>\n";
echo"    <th colspan=2>".$strLoginForm."</th>\n";
echo"</tr>\n";
echo"<tr><td colspan=2>\n";
echo"<table width=\"100%\" BORDER=\"0\">\n";
echo"<tr>\n";
echo"   <td width=\"55%\">".$strUser.":</td>\n";
echo"   <td>".$strPassword.":</td>\n";
echo"</tr>\n";
echo"<tr>\n";
echo"   <td width=\"55%\"><input type=\"text\" name=\"login\" size=\"15\" class=\"search\"></td>\n";
echo"   <td><input type=\"password\" name=\"password\" size=\"15\" class=\"search\"></td>\n";
echo"</tr>\n";
echo"</table>\n";
echo"</td></tr>\n";
echo"<tr align=\"center\">\n";
echo"    <td><input TYPE=\"submit\" NAME=\"timelimit\" VALUE=\"Enter\"  class=\"button\"></td>\n";
echo"</tr>\n";
echo"</td></tr></table>\n";
echo"</table><center>\n";
echo"</form>\n";

finish();
}
else
{
$db = mysql_connect ($MYSQL_SERVER,$MYSQL_USER,$MYSQL_PASS);
	mysql_select_db($MYSQL_BASE,$db);

$query = "SELECT login,password,status,uid,language FROM users WHERE login='".addslashes( $lg )."' AND password='".addslashes( $pass )."'";
$result = mysql_query($query,$db);
if($row=mysql_fetch_object($result))
 {
	$stat=$row->status;
	$usr_lang=$row->language;

	if(empty($usr_lang)) 
		$usr_lang=$DEFAULT_LANG;
		
    if(isset($userlang))
    	{ $path=$LANG_DIR."/".$languages[$userlang][1]; }
    else	
     	{ $path=$LANG_DIR."/".$languages[$usr_lang][1];}
     	
     	
     include($path);
     set_header();
    
	if(isset($login))
    {
       $query = "INSERT INTO logins (uid,date,ip) VALUES ('$row->uid',NOW(),'$REMOTE_ADDR')";
       $result = mysql_query($query,$db);
    }

    
		if ($stat == 'admin') 
	   		{include("admin.php");}
		else 
	   		{include("client.php");}
 }
 else
 { 
 	include($LANG_DIR."/".$languages[$DEFAULT_LANG][1]);
 	set_header();
 	echo $strWrongAuthorization; 
  	echo "<br><br><a href=\"?action=logout\">".$strLogin."</a>";
 	finish();
 }
	 	
   finish();
}
?>
